@import '../../assets/variables.scss';

.footer {
  background-color: #2f55b4;
  padding: 30px 0px;
  color: #fff;

  .footer__top-content {
    margin-bottom: 32px;
    .info-box {
      display: flex;
      align-items: center;
      .logo {
        flex: 1;
        img {
          width: 182px;
          cursor: pointer;
        }
      }

      .menu {
        ul {
          display: flex;

          li {
            cursor: pointer;
            list-style: none;
            margin-right: 40px;

            &:nth-child(4) {
              margin-right: 0;
            }
          }
        }
      }

      .icons {
        flex: 1;
        display: flex;
        justify-content: flex-end;
        .icon {
          img {
            cursor: pointer;
            width: 30px;
          }

          &:nth-child(2) {
            margin: 0 20px;
          }
        }
      }
    }
  }

  hr {
    opacity: 0.1;
  }

  .footer__bottom-content {
    margin-top: 30px;
    .info-box {
      display: flex;

      .left-side {
        flex: 1;
        display: flex;
        align-items: center;
        .comment {
          span {
            font-size: 14px;
            font-weight: 400;
          }
        }

        ul {
          margin-left: 5px;
          display: flex;
          height: 15px;
          li {
            list-style: none;
            font-size: 14px;
            &:nth-child(1) {
              padding-right: 4px;
            }

            &:nth-child(2) {
              padding: 0 4px;
              border-left: 1px solid #fff;
              border-right: 1px solid #fff;
            }

            &:nth-child(3) {
              padding-left: 4px;
            }
          }
        }
      }

      .right-side {
        .copyright {
          span {
            font-size: 10px;
            font-weight: 400;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 575px) {
  .footer {
    width: 100%;
    // display: none;
    // padding-left: 20px;
    // padding-right: 20px;
    padding-bottom: 42px;
    .footer__top-content {
      padding: 0 20px;
      .container {
        .info-box {
          flex-direction: column;
          align-items: flex-start;

          .menu {
            margin-top: 36px;
            ul {
              flex-direction: column;
              li {
                margin-bottom: 10px;
                &:nth-child(4) {
                  margin-bottom: 30px;
                }
              }
            }
          }
        }
      }
    }

    hr {
      opacity: 0;
    }

    .footer__bottom-content {
      padding: 0 20px;
      .container {
        .info-box {
          flex-direction: column;

          .left-side {
            order: 1;
            flex-direction: column;
            align-items: flex-start;

            ul {
              width: auto;
              margin-left: 0;
              li {
                // white-space: nowrap;
              }
            }
          }
        }
      }
    }
  }

  .mobile-bottom-content {
    display: block;
    width: 100%;
    background-color: $lightBlue;
    padding: 10px 0px;

    .icons-box {
      display: flex;

      .item {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        flex: 1;
        .text {
          font-size: 10px;
        }
      }
    }
  }
}